### Function

# RB list_deep_free

#### Declaration [src]

    void
    rb_list_deep_free (
      GList* list
    )

#### Description [src]

Frees each element of `list` and `list` itself.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  List to free.

  The called function takes ownership of the data, and is responsible for freeing it.